%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define http_binary apache2
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define http_binary httpd
%endif
Name: monitor-http-api
Version: 1.2.4
Release: op5.1
License: op5 Software License
Packager: build@op5
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: op5 monitor API
Group: op5/Monitor
Prefix: /opt/monitor/op5/api
BuildRequires: doxygen
BuildRequires: make
BuildRequires: php-op5lib
BuildRequires: monitor-merlin
BuildRequires: monitor-nacoma
Requires: php-op5lib
Requires: monitor-livestatus
Requires: monitor-ninja
Requires: monitor-nacoma
Requires: monitor-command
%if 0%{?suse_version}
BuildRequires: php-less
BuildRequires: php53
Requires: php53-xmlwriter
Requires: php53-dom
Requires: php53-mbstring
Requires: php53
%else
BuildRequires: php-less
BuildRequires: php >= 5.3
Requires: php-xml
Requires: php-mbstring
Requires: php >= 5.3
%endif
Source: %name-%version.tar.gz
%description
HTTP API for op5 Monitor.

%package test
Summary: Test scripts for monitor HTTP API
Group: op5/Monitor
Requires: monitor-http-api = %{version}
Requires: op5-mysql
Requires: op5-phpunit
Requires: python-nose
Requires: python-requests
# Because we want to parse HTML
Requires: python-beautifulsoup4
# Better etree than the built in
Requires: python-lxml
# Because I want https...
Requires: portal
# Because we go too near PNP configuration
Requires: monitor-pnp
# Because we want to import logs
Requires: monitor-merlin
# Cuke tests
Requires: rubygem20-op5cucumber

Requires: op5license-generator
%if 0%{?suse_version}
# SLES-specific stuff
Requires: php53-mbstring
%else
# Common RHEL stuff
Requires: php-mbstring
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description test
Test scripts for HTTP API

%prep
%setup -q

%build
make docs
make css
make api/command.php


%install
rm -rf %buildroot
mkdir -p %buildroot%prefix
cp -r api/* %buildroot%prefix
cp op5build/upgrade_config.php %buildroot%prefix
cp Makefile %buildroot%prefix
cp -r test %buildroot%prefix/..
mkdir -p  %buildroot/etc/%httpconfdir
cp include/monitor-http_api.conf %buildroot/etc/%httpconfdir/monitor-api.conf
mkdir -p %buildroot/opt/plugins
install include/check_unexported_config.php %buildroot/opt/plugins/check_unexported_config.php
mkdir -p %buildroot/opt/monitor/op5/ninja/application/addons/menu
cp ninja_menu/http_api.php %buildroot/opt/monitor/op5/ninja/application/addons/menu

mkdir -p %buildroot/etc/op5
cp include/http_api.yml %buildroot/etc/op5

mkdir -p %buildroot/opt/monitor/etc/oconf
cp test/config/* %buildroot/opt/monitor/etc/oconf

%post
test -f /etc/init.d/%http_binary && /etc/init.d/%http_binary restart || :

# Cleanup symlinks we don't use anymore
if [ -f %htmlroot/api ]; then
	rm -rf %htmlroot/api
fi

# Upgrade the config file, without sed, mind you
php %prefix/upgrade_config.php /etc/op5/http_api.yml

%postun

rm -f %prefix/.htaccess
rm -f %prefix/api.ini

%files
%defattr(-,monitor,%daemon_group)
%prefix
/etc/%httpconfdir/monitor-api.conf
/opt/monitor/op5/ninja/application/addons/menu/http_api.php
%config(noreplace) /etc/op5/http_api.yml
%attr(755, root, root) /opt/plugins/check_unexported_config.php
%exclude %prefix/Makefile
%exclude %prefix/../test

%files test
%defattr(664,monitor,%daemon_group,755)
%prefix/Makefile
%prefix/../test
/opt/monitor/etc/oconf

%clean
rm -rf %buildroot
